Description: configure fails to correctly detect szip as it uses 
 SZ_Compress, which may not be present and isn't used
Author: Alastair McKinstry <mckinstry@debian.org>
Forwarded: no
Last-Updated: 2018-01-29

Index: harp-1.4/m4/libsz.m4
===================================================================
--- harp-1.4.orig/m4/libsz.m4
+++ harp-1.4/m4/libsz.m4
@@ -3,7 +3,7 @@
 # Check for the availability of the libsz library
 AC_DEFUN([ST_CHECK_LIBSZ],
 [SZLIB=
-AC_CHECK_LIB(sz, SZ_Compress, ac_cv_lib_sz=yes, ac_cv_lib_sz=no)
+AC_CHECK_LIB(sz, SZ_encoder_enabled, ac_cv_lib_sz=yes, ac_cv_lib_sz=no)
 if test $ac_cv_lib_sz = yes ; then
   SZLIB="-lsz"
 fi
